Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ValignType4

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ValignType4

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ValignType4

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Valign Type4', and utility methods for working with them.

See Also:
  `CDAR2Package.getValignType4()`

Field Summary
`static int` | `BASELINE` The 'Baseline' literal value.
`static ValignType4` | `BASELINE_LITERAL` The 'Baseline' literal object.
`static int` | `BOTTOM` The 'Bottom' literal value.
`static ValignType4` | `BOTTOM_LITERAL` The 'Bottom' literal object.
`static int` | `MIDDLE` The 'Middle' literal value.
`static ValignType4` | `MIDDLE_LITERAL` The 'Middle' literal object.
`static int` | `TOP` The 'Top' literal value.
`static ValignType4` | `TOP_LITERAL` The 'Top' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Valign Type4' enumerators.

Method Summary
`static ValignType4` | `get(int value)` Returns the 'Valign Type4' literal with the specified integer value.
`static ValignType4` | `get(java.lang.String literal)` Returns the 'Valign Type4' literal with the specified literal value.
`static ValignType4` | `getByName(java.lang.String name)` Returns the 'Valign Type4' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TOP

    public static final int TOP

  The 'Top' literal value.

  If the meaning of 'Top' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TOP_LITERAL`, Constant Field Values

### MIDDLE

    public static final int MIDDLE

  The 'Middle' literal value.

  If the meaning of 'Middle' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MIDDLE_LITERAL`, Constant Field Values

### BOTTOM

    public static final int BOTTOM

  The 'Bottom' literal value.

  If the meaning of 'Bottom' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BOTTOM_LITERAL`, Constant Field Values

### BASELINE

    public static final int BASELINE

  The 'Baseline' literal value.

  If the meaning of 'Baseline' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BASELINE_LITERAL`, Constant Field Values

### TOP_LITERAL

    public static final ValignType4 TOP_LITERAL

  The 'Top' literal object.

  See Also:
    `TOP`

### MIDDLE_LITERAL

    public static final ValignType4 MIDDLE_LITERAL

  The 'Middle' literal object.

  See Also:
    `MIDDLE`

### BOTTOM_LITERAL

    public static final ValignType4 BOTTOM_LITERAL

  The 'Bottom' literal object.

  See Also:
    `BOTTOM`

### BASELINE_LITERAL

    public static final ValignType4 BASELINE_LITERAL

  The 'Baseline' literal object.

  See Also:
    `BASELINE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Valign Type4' enumerators.

Method Detail

### get

    public static ValignType4 get(java.lang.String literal)

  Returns the 'Valign Type4' literal with the specified literal value.

### getByName

    public static ValignType4 getByName(java.lang.String name)

  Returns the 'Valign Type4' literal with the specified name.

### get

    public static ValignType4 get(int value)

  Returns the 'Valign Type4' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD